Campaigns
List campaigns
Returns a paginated list of the organization's campaigns, optionally filtered by status.
Returns a paginated list of the organization's campaigns, optionally filtered by status.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
status?|null
page?string|null
limit?string|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/campaigns"{ "items": [ { "id": "string", "name": "string", "channel": "email", "content": { "channel": "email", "email": { "subject": "string", "html": "string", "text": "string", "attachments": [ { "filename": "string", "content": "string", "mediaId": "string", "contentType": "string", "size": 1 } ], "publicationId": "string", "inputContractId": "string", "templateId": "string", "templateSlug": "string", "templateData": {}, "inReplyToMessageId": "string", "replyTo": [ "string" ], "unsubscribeGroupId": "string", "tracking": { "opens": true, "clicks": true }, "footer": { "enabled": true } }, "conversationId": "string", "metadata": {} }, "audience": { "includeTags": [ "string" ], "excludeTags": [ "string" ], "contactIds": [ "string" ], "groupIds": [ "string" ] }, "policy": { "unsubscribeGroupId": "string", "pageSize": 100 }, "definition": { "state": "editable", "frozenAt": "string" }, "latestRun": { "id": "string", "status": "scheduled", "scheduledFor": "string", "completedAt": "string", "totalRecipients": 0, "dispatchedCount": 0, "failedCount": 0, "skippedCount": 0 }, "createdBy": "string", "actorEmail": "string", "memberRole": "string", "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}